Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362691 - top command doesn't output any processes
Summary: top command doesn't output any processes
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: docker
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Lokesh Mandvekar
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On: 1329904
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 21:14 UTC by Ed Santiago
Modified: 2019-03-06 01:44 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1329904
Environment:
Last Closed:


Attachments (Terms of Use)

Description Ed Santiago 2016-08-02 21:14:47 UTC
+++ This bug was initially created as a clone of Bug #1329904 +++

...just setting a placeholder to make sure this gets fixed in RHEL.

Same issue in docker-1.12.0-6.el7:

    # cid=$(docker run --detach fedora sleep 5m)
    # docker top $cid -auxww
    USER                PID                 %CPU                %MEM                VSZ                 RSS                 TTY                 STAT                START               TIME                COMMAND

(note no actual process lines). Fix is upstream; see bug 1329904 for details.

Comment 2 Daniel Walsh 2016-08-07 16:53:01 UTC
Runcom can we get this fix into our package?

Comment 3 Antonio Murdaca 2016-08-08 11:13:18 UTC
The code is fixed both upstream and in our projectatomic/docker. This is probably a misconfig of the unit files.
I did some fixes to the fedora rawhide docker.spec and the command in this BZ is working fine. Lokesh can you port those fixes to RHEL?

Comment 4 Daniel Walsh 2016-08-19 22:35:00 UTC
Lokesh should this be in the modified state?

Comment 5 Ed Santiago 2016-08-22 21:52:47 UTC
I have run O(50) iterations of docker-autotest on docker-latest-1.12.0-9.el7, and two quick runs on docker-latest.1.12.0-10.el7, and have not seen this problem recur.

Comment 6 Ed Santiago 2016-09-02 20:17:44 UTC
Cannot reproduce on docker-latest-1.12.1-2.el7 over many, many runs. Calling it fixed.


Note You need to log in before you can comment on or make changes to this bug.